Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.actionparam
Class MethodExpressionParser

    java.lang.Object
      org.jboss.seam.actionparam.MethodExpressionParser

All Implemented Interfaces:
  Serializable

    public class MethodExpressionParser

extends Object
implements Serializable

Parses an action expression. This expression is assumed to be of the form #{value-expression.method-name(param-list)} The (param-list) is optional. The (param-list) can be empty. ${ } notation may be used instead of #{ } Square bracket notation: i.e. value-expression[method-name] is also allowed. String literals surrounded by single or double quotes can be passed as params. example: #{register.register(user, 'login page')} Also, the entire expression can be a simple String. In this case, there is no bracket notation at all. i.e. foo

Author:
  Stan Silvert
See Also:
  Serialized Form

Constructor Summary
`MethodExpressionParser(String expression)`

Method Summary
`String` | `getBaseExpression()`
`String` | `getCombinedExpression()` MethodExpression without the params.
`String` | `getMethodName()`
`String[]` | `getParams()`
`String` | `getUnparsedExpression()`
`boolean` | `hasParamsInExpression()`
`boolean` | `isParamExpression()`
`static boolean` | `isQuotedString(String str)` This tells if a method param is a quoted String.
`static boolean` | `isStringLiteral(String expression)` Tells if the whole expression is just a String literal.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodExpressionParser

    public MethodExpressionParser(String expression)

Method Detail

### getUnparsedExpression

    public String getUnparsedExpression()

### hasParamsInExpression

    public boolean hasParamsInExpression()

### getBaseExpression

    public String getBaseExpression()

### getMethodName

    public String getMethodName()

### getParams

    public String[] getParams()

### getCombinedExpression

    public String getCombinedExpression()

  MethodExpression without the params. Combines baseExpression and methodName in the form #{expression.method}. For string literals, this just returns the literal.

### isParamExpression

    public boolean isParamExpression()

### isQuotedString

    public static boolean isQuotedString(String str)

  This tells if a method param is a quoted String. If it is not a quoted String then it is treated as a ValueExpression.

### isStringLiteral

    public static boolean isStringLiteral(String expression)

  Tells if the whole expression is just a String literal.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD